/** 
 *   Site testing for SKA candidate.
 *
 *   (c) Copyright 2004 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 **/

#ifndef _OBSERV_TABLR_H
#define _OBSERV_TABLR_H

#include <time.h>

#define SOME_LOST_TIME 2.9866 /* lost time in wating and reading data */

struct modes {
	int mode;
	double start_freq;
	double stop_freq;
	int RBW;
	int sweep;
	int sweep_obs;
	int repetitions;
	char switchs;
	struct modes *next;
};

enum polarization_def {
	VERTICAL = 'v',
	HORIZONTAL = 'h'
};


struct sequence {
	int azimuth;
	char polarization;
	int mode;
	int restart;
	int partition;
	struct sequence *next;
};


struct obs_setup {
	time_t start;
	char *data_dir;
	int azimuth;
	char polarization;
	int mode;
	int partition; /* FIXME: not implement... y seguir el sweep
                          pro el codigo */
	int current_rep;
	int naxis1;
	double *data;
	int fd_rot;
	struct modes *obs;
};


struct modes *get_modes_table(char *file_name);
int free_modes_table(struct modes *obs);

struct sequence *get_sequence_table(char *file_name);
int free_sequence_table(struct sequence *seq);

time_t time_estimation_mode(int mode, struct modes *mod, int partition);

#endif /* ifndef _OBSERV_TABLR_H */
